> For the complete documentation index, see [llms.txt](https://docs.api.intratool.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.intratool.de/api-reference/additional-attributes/attribute-field-validation-types.md).

# AttributeFieldValidationTypes

## Introduction

`AttributeFieldValidationTypes` describe which validation rules can be attached to [AttributeFields](/api-reference/additional-attributes/attribute-fields.md).

## \[Adm.] List

**Definition**

<mark style="color:green;">`GET`</mark> `/api/administration/additional-attributes/field-validation-types`

**Request Keys**

No additional request keys.

**Example Request**

```php
$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/administration/additional-attributes/field-validation-types', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);
```

**Example Response**

```json
[
  {
    "id": "required",
    "default_config": {},
    "sort_number": 1
  }
]
```

## \[Adm.] Show

**Definition**

<mark style="color:green;">`GET`</mark> `/api/administration/additional-attributes/field-validation-types/{formFieldValidationType}`

**Request Keys**

| Key                       | Type   | Default | Description                                  |
| ------------------------- | ------ | ------- | -------------------------------------------- |
| `formFieldValidationType` | string | -       | Validation type ID (for example `required`). |

**Example Request**

```php
$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/administration/additional-attributes/field-validation-types/required', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);
```

**Example Response**

```json
{
  "id": "required",
  "default_config": {},
  "sort_number": 1
}
```

## Allowed validation type keys

* `required`
* `email`
* `phone`
* `url`
* `number`
* `minmax`
* `items-count`
* `boolean`
* `datetime`
* `after-before`
* `file`
* `mimetypes`
* `last-modified`
* `in`
* `not-in`

## Response shape

Each type contains at least:

* `id`
* `default_config`
* `sort_number`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.intratool.de/api-reference/additional-attributes/attribute-field-validation-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
